## ignition-sensors6 6.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-sensors6 VERSION 6.0.1)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================
set (DRI_TESTS TRUE CACHE BOOL "True to enable DRI tests")

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 PRETTY Protobuf)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED VERSION 6.6)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4
                 COMPONENTS profiler
                 REQUIRED)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-transport
ign_find_package(ignition-transport11 REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

#--------------------------------------
# Find ignition-rendering
ign_find_package(ignition-rendering6 REQUIRED OPTIONAL_COMPONENTS ogre ogre2)
set(IGN_RENDERING_VER ${ignition-rendering6_VERSION_MAJOR})

if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre)
  set(HAVE_OGRE TRUE)
  add_definitions(-DWITH_OGRE)
endif()

if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre2)
  set(HAVE_OGRE2 TRUE)
  add_definitions(-DWITH_OGRE2)
endif()

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs8 REQUIRED)
set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

#--------------------------------------
# Find SDFormat
ign_find_package(sdformat12 REQUIRED)
set(SDF_VER ${sdformat12_VERSION_MAJOR})

set(IGN_SENSORS_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md")

if(TARGET doc)
  file(COPY ${CMAKE_SOURCE_DIR}/tutorials/files/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/files/)
endif()

=== src/CMakeLists.txt ===
set (sources
  Manager.cc
  Sensor.cc
  Noise.cc
  GaussianNoiseModel.cc
  PointCloudUtil.cc
  SensorFactory.cc
  SensorTypes.cc
  Util.cc
)

set(rendering_sources
  RenderingSensor.cc
  RenderingEvents.cc
  ImageGaussianNoiseModel.cc
  ImageNoise.cc
)

set (gtest_sources
  Manager_TEST.cc
  Noise_TEST.cc
  Sensor_TEST.cc
  Util_TEST.cc
)

if (MSVC)
  # TODO(louise) Remove this once warnings are suppressed in ign-rendering
  set_source_files_properties(
      ${rendering_sources}
    COMPILE_FLAGS "/wd4251"
  )
endif()

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 14)

target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    sdformat${SDF_VER}::sdformat${SDF_VER}
  PRIVATE
    ignition-common${IGN_COMMON_VER}::profiler
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
)
target_compile_definitions(${PROJECT_LIBRARY_TARGET_NAME} PUBLIC DepthPoints_EXPORTS)

ign_add_component(rendering SOURCES ${rendering_sources} GET_TARGET_NAME rendering_target)
target_link_libraries(${rendering_target}
  PUBLIC
    ignition-rendering${IGN_RENDERING_VER}::ignition-rendering${IGN_RENDERING_VER}
)

set(camera_sources CameraSensor.cc)
ign_add_component(camera SOURCES ${camera_sources} GET_TARGET_NAME camera_target)
# custom compile definitions since the one provided automatically is versioned and will
# make the code need to change with every major version
target_compile_definitions(${camera_target} PUBLIC CameraSensor_EXPORTS)
target_link_libraries(${camera_target}
  PUBLIC
    ${rendering_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(depth_camera_sources DepthCameraSensor.cc)
ign_add_component(depth_camera SOURCES ${depth_camera_sources} GET_TARGET_NAME depth_camera_target)
target_compile_definitions(${depth_camera_target} PUBLIC DepthCameraSensor_EXPORTS)
target_link_libraries(${depth_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(lidar_sources Lidar.cc)
ign_add_component(lidar SOURCES ${lidar_sources} GET_TARGET_NAME lidar_target)
target_compile_definitions(${lidar_target} PUBLIC Lidar_EXPORTS)
target_link_libraries(${lidar_target}
  PUBLIC
    ${rendering_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(gpu_lidar_sources GpuLidarSensor.cc)
ign_add_component(gpu_lidar SOURCES ${gpu_lidar_sources} GET_TARGET_NAME gpu_lidar_target)
target_compile_definitions(${gpu_lidar_target} PUBLIC GpuLidarSensor_EXPORTS)
target_link_libraries(${gpu_lidar_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    ${lidar_target}
)

set(logical_camera_sources LogicalCameraSensor.cc)
ign_add_component(logical_camera SOURCES ${logical_camera_sources} GET_TARGET_NAME logical_camera_target)
target_compile_definitions(${logical_camera_target} PUBLIC LogicalCameraSensor_EXPORTS)
target_link_libraries(${logical_camera_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(magnetometer_sources MagnetometerSensor.cc)
ign_add_component(magnetometer SOURCES ${magnetometer_sources} GET_TARGET_NAME magnetometer_target)

set(imu_sources ImuSensor.cc)
ign_add_component(imu SOURCES ${imu_sources} GET_TARGET_NAME imu_target)

set(force_torque_sources ForceTorqueSensor.cc)
ign_add_component(force_torque SOURCES ${force_torque_sources} GET_TARGET_NAME force_torque_target)

set(altimeter_sources AltimeterSensor.cc)
ign_add_component(altimeter SOURCES ${altimeter_sources} GET_TARGET_NAME altimeter_target)

set(air_pressure_sources AirPressureSensor.cc)
ign_add_component(air_pressure SOURCES ${air_pressure_sources} GET_TARGET_NAME air_pressure_target)

set(rgbd_camera_sources RgbdCameraSensor.cc)
ign_add_component(rgbd_camera SOURCES ${rgbd_camera_sources} GET_TARGET_NAME rgbd_camera_target)
target_compile_definitions(${rgbd_camera_target} PUBLIC RgbdCameraSensor_EXPORTS)
target_link_libraries(${rgbd_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(thermal_camera_sources ThermalCameraSensor.cc)
ign_add_component(thermal_camera SOURCES ${thermal_camera_sources} GET_TARGET_NAME thermal_camera_target)
target_link_libraries(${thermal_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(segmentation_camera_sources SegmentationCameraSensor.cc)
ign_add_component(segmentation_camera SOURCES ${segmentation_camera_sources} GET_TARGET_NAME segmentation_camera_target)
target_compile_definitions(${segmentation_camera_target} PUBLIC SegmentationCameraSensor_EXPORTS)
target_link_libraries(${segmentation_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

# Build the unit tests.
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources} LIB_DEPS ${rendering_target})

# Build the unit tests that depend on components.
ign_build_tests(TYPE UNIT SOURCES Lidar_TEST.cc LIB_DEPS ${lidar_target})
ign_build_tests(TYPE UNIT SOURCES Camera_TEST.cc LIB_DEPS ${camera_target})
ign_build_tests(TYPE UNIT SOURCES ImuSensor_TEST.cc LIB_DEPS ${imu_target})

=== test/integration/CMakeLists.txt ===
set(TEST_TYPE "INTEGRATION")

set(dri_tests
  camera.cc
  depth_camera.cc
  gpu_lidar_sensor.cc
  rgbd_camera.cc
  thermal_camera.cc
  segmentation_camera.cc
)

set(tests
  air_pressure.cc
  altimeter.cc
  force_torque.cc
  logical_camera.cc
  magnetometer.cc
  imu.cc
)

link_directories(${PROJECT_BINARY_DIR}/test)

include_directories(${PROJECT_SOURCE_DIR}/src)

# Test symbols having the right name on linux only
if (UNIX AND NOT APPLE)
  configure_file(all_symbols_have_version.bash.in ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash @ONLY)
  add_test(NAME INTEGRATION_versioned_symbols
    COMMAND bash ${CMAKE_CURRENT_BINARY_DIR}/all_symbols_have_version.bash $<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>)
endif()

if (DRI_TESTS)
  ign_build_tests(TYPE INTEGRATION
    SOURCES
      ${dri_tests}
    LIB_DEPS
      ${IGNITION-TRANSPORT_LIBRARIES}
      ${PROJECT_LIBRARY_TARGET_NAME}-depth_camera
      ${PROJECT_LIBRARY_TARGET_NAME}-camera
      ${PROJECT_LIBRARY_TARGET_NAME}-lidar
      ${PROJECT_LIBRARY_TARGET_NAME}-gpu_lidar
      ${PROJECT_LIBRARY_TARGET_NAME}-rgbd_camera
      ${PROJECT_LIBRARY_TARGET_NAME}-thermal_camera
      ${PROJECT_LIBRARY_TARGET_NAME}-segmentation_camera
  )
endif()

ign_build_tests(TYPE INTEGRATION
  SOURCES
    ${tests}
  LIB_DEPS
    ${PROJECT_LIBRARY_TARGET_NAME}-air_pressure
    ${PROJECT_LIBRARY_TARGET_NAME}-altimeter
    ${PROJECT_LIBRARY_TARGET_NAME}-logical_camera
    ${PROJECT_LIBRARY_TARGET_NAME}-magnetometer
    ${PROJECT_LIBRARY_TARGET_NAME}-imu
    ${PROJECT_LIBRARY_TARGET_NAME}-force_torque
)

=== debian/changelog ===
ignition-sensors6 (6.0.1-1~buster) buster; urgency=medium

  * ignition-sensors6 6.0.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 12 Nov 2021 11:17:25 -0700

ignition-sensors6 (6.0.0-1~buster) buster; urgency=medium

  * ignition-sensors6 6.0.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 30 Sep 2021 18:22:06 -0700

ignition-sensors6 (6.0.0~pre1-4~buster) buster; urgency=medium

  * ignition-sensors6 6.0.0~pre1-4 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 13:46:12 -0700

ignition-sensors6 (6.0.0~pre1-3~buster) buster; urgency=medium

  * ignition-sensors6 6.0.0~pre1-3 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 12:57:22 -0700

ignition-sensors6 (6.0.0~pre1-2~buster) buster; urgency=medium

  * ignition-sensors6 6.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 11:46:49 -0700

ignition-sensors6 (6.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-sensors6 6.0.0~pre1-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 22 Sep 2021 11:18:01 -0500

ignition-sensors6 (5.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:27:17 -0700

=== debian/control ===
Source: ignition-sensors6
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev,
               libignition-common4-events-dev,
               libignition-common4-profiler-dev,
               libignition-math6-dev (>= 6.6.0),
               libignition-msgs8-dev,
               libignition-plugin-dev,
               libignition-rendering6-ogre1-dev,
               libignition-rendering6-ogre2-dev,
               libignition-transport11-core-dev,
               libignition-tools-dev,
               libsdformat12-dev
Vcs-Browser: https://github.com/ignition-release/ign-sensors6-release
Vcs-Git: https://github.com/ignition-release/ign-sensors6-release
Homepage: http://ignitionrobotics.org/

Package: libignition-sensors6-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-plugin-dev,
         libignition-rendering6-ogre1-dev,
         libignition-rendering6-ogre2-dev,
         libignition-transport11-core-dev,
         libignition-tools-dev,
         libsdformat12-dev,
         libignition-sensors6 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Development files
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-sensors6
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Shared library
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-sensors6-air-pressure-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-air-pressure (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files air-pressure
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for air-pressure sensor

Package: libignition-sensors6-air-pressure
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib air-pressure
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for air-pressure sensor

Package: libignition-sensors6-altimeter-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-altimeter (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files altimeter
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for altimeter sensor

Package: libignition-sensors6-altimeter
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib altimeter
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for altimeter sensor


Package: libignition-sensors6-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files Camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for Camera sensor

Package: libignition-sensors6-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib Camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for Camera sensor

Package: libignition-sensors6-depth-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libignition-sensors6-camera-dev,
         libsdformat12-dev,
         libignition-sensors6-depth-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files depth-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for depth-camera sensor

Package: libignition-sensors6-depth-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib depth-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  . Shared library for depth-camera sensor

Package: libignition-sensors6-force-torque-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-force-torque (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files force-torque
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for force-torque sensor

Package: libignition-sensors6-force-torque
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib force-torque
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for force-torque sensor

Package: libignition-sensors6-imu-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-imu (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files imu
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for imu sensor

Package: libignition-sensors6-imu
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib imu
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for imu sensor


Package: libignition-sensors6-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for lidar sensor

Package: libignition-sensors6-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for lidar sensor

Package: libignition-sensors6-gpu-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libignition-sensors6-lidar-dev,
         libsdformat12-dev,
         libignition-sensors6-gpu-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files gpu-lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for gpu-lidar sensor

Package: libignition-sensors6-gpu-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib gpu-lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for gpu-lidar sensor

Package: libignition-sensors6-logical-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs8-dev,
         libignition-transport11-core-dev,
         libignition-sensors6-core-dev,
         libsdformat12-dev,
         libignition-sensors6-logical-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files logical-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for logical-camera sensor

Package: libignition-sensors6-logical-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib logical-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for logical-camera sensor

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/AirPressure*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Altimeter*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Camera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/DepthCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/GpuLidarSensor*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ForceTorque*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Imu*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Lidar*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/LogicalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Magnetometer*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/SegmentationCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ThermalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Rendering*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/RgbdCamera*.hh
	dh_missing --list-missing

# test cannot run in parallel
override_dh_auto_test:
	true
# dh_auto_test --max-parallel=1

## ignition-sensors6 6.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-sensors6 VERSION 6.0.1)
+project(ignition-sensors6 VERSION 6.6.0)
 
 #============================================================================
 # Find ignition-cmake
@@ -60,7 +60,13 @@
 
 #--------------------------------------
 # Find ignition-rendering
-ign_find_package(ignition-rendering6 REQUIRED OPTIONAL_COMPONENTS ogre ogre2)
+
+# See CMP0072 for more details (cmake --help-policy CMP0072)
+if ((NOT ${CMAKE_VERSION} VERSION_LESS 3.11) AND (NOT OpenGL_GL_PREFERENCE))
+  set(OpenGL_GL_PREFERENCE "GLVND")
+endif()
+
+ign_find_package(ignition-rendering6 REQUIRED VERSION 6.5 OPTIONAL_COMPONENTS ogre ogre2)
 set(IGN_RENDERING_VER ${ignition-rendering6_VERSION_MAJOR})
 
 if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre)
@@ -75,12 +81,12 @@
 
 #--------------------------------------
 # Find ignition-msgs
-ign_find_package(ignition-msgs8 REQUIRED)
+ign_find_package(ignition-msgs8 REQUIRED VERSION 8.2)
 set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})
 
 #--------------------------------------
 # Find SDFormat
-ign_find_package(sdformat12 REQUIRED)
+ign_find_package(sdformat12 REQUIRED VERSION 12.5.0)
 set(SDF_VER ${sdformat12_VERSION_MAJOR})
 
 set(IGN_SENSORS_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
   Sensor.cc
   Noise.cc
   GaussianNoiseModel.cc
+  Distortion.cc
+  BrownDistortionModel.cc
   PointCloudUtil.cc
   SensorFactory.cc
   SensorTypes.cc
@@ -14,6 +16,8 @@
   RenderingEvents.cc
   ImageGaussianNoiseModel.cc
   ImageNoise.cc
+  ImageBrownDistortionModel.cc
+  ImageDistortion.cc
 )
 
 set (gtest_sources
@@ -27,6 +31,7 @@
   # TODO(louise) Remove this once warnings are suppressed in ign-rendering
   set_source_files_properties(
       ${rendering_sources}
+      SegmentationCameraSensor.cc
     COMPILE_FLAGS "/wd4251"
   )
 endif()
@@ -120,6 +125,9 @@
 set(air_pressure_sources AirPressureSensor.cc)
 ign_add_component(air_pressure SOURCES ${air_pressure_sources} GET_TARGET_NAME air_pressure_target)
 
+set(navsat_sources NavSatSensor.cc)
+ign_add_component(navsat SOURCES ${navsat_sources} GET_TARGET_NAME navsat_target)
+
 set(rgbd_camera_sources RgbdCameraSensor.cc)
 ign_add_component(rgbd_camera SOURCES ${rgbd_camera_sources} GET_TARGET_NAME rgbd_camera_target)
 target_compile_definitions(${rgbd_camera_target} PUBLIC RgbdCameraSensor_EXPORTS)
@@ -133,6 +141,15 @@
 set(thermal_camera_sources ThermalCameraSensor.cc)
 ign_add_component(thermal_camera SOURCES ${thermal_camera_sources} GET_TARGET_NAME thermal_camera_target)
 target_link_libraries(${thermal_camera_target}
+  PRIVATE
+    ${camera_target}
+    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
+    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
+)
+
+set(boundingbox_camera_sources BoundingBoxCameraSensor.cc)
+ign_add_component(boundingbox_camera SOURCES ${boundingbox_camera_sources} GET_TARGET_NAME boundingbox_camera_target)
+target_link_libraries(${boundingbox_camera_target}
   PRIVATE
     ${camera_target}
     ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}

=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 set(TEST_TYPE "INTEGRATION")
 
 set(dri_tests
+  boundingbox_camera.cc
   camera.cc
   depth_camera.cc
+  distortion_camera.cc
   gpu_lidar_sensor.cc
   rgbd_camera.cc
+  segmentation_camera.cc
   thermal_camera.cc
-  segmentation_camera.cc
+  triggered_camera.cc
 )
 
 set(tests
@@ -15,6 +18,7 @@
   force_torque.cc
   logical_camera.cc
   magnetometer.cc
+  navsat.cc
   imu.cc
 )
 
@@ -35,6 +39,7 @@
       ${dri_tests}
     LIB_DEPS
       ${IGNITION-TRANSPORT_LIBRARIES}
+      ${PROJECT_LIBRARY_TARGET_NAME}-boundingbox_camera
       ${PROJECT_LIBRARY_TARGET_NAME}-depth_camera
       ${PROJECT_LIBRARY_TARGET_NAME}-camera
       ${PROJECT_LIBRARY_TARGET_NAME}-lidar
@@ -55,5 +60,6 @@
     ${PROJECT_LIBRARY_TARGET_NAME}-magnetometer
     ${PROJECT_LIBRARY_TARGET_NAME}-imu
     ${PROJECT_LIBRARY_TARGET_NAME}-force_torque
+    ${PROJECT_LIBRARY_TARGET_NAME}-navsat
 )

=== debian/changelog ===
ignition-sensors6 (6.6.0-3~focal) focal; urgency=medium

  * ignition-sensors6 6.6.0-3 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 16:01:08 -0700

ignition-sensors6 (6.6.0-2~focal) focal; urgency=medium

  * ignition-sensors6 6.6.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 17 Jun 2022 15:27:54 -0700

ignition-sensors6 (6.6.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.6.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 17 Jun 2022 10:53:20 -0700

ignition-sensors6 (6.5.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.5.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 25 May 2022 08:35:18 -0500

ignition-sensors6 (6.4.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.4.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Fri, 13 May 2022 18:05:59 -0700

ignition-sensors6 (6.3.0-2~focal) focal; urgency=medium

  * ignition-sensors6 6.3.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 08 Apr 2022 15:52:05 -0700

ignition-sensors6 (6.3.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.3.0-1 release

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 19:07:30 -0700

ignition-sensors6 (6.2.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.2.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Tue, 29 Mar 2022 15:09:46 -0700

ignition-sensors6 (6.1.0-2~focal) focal; urgency=medium

  * ignition-sensors6 6.1.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 18:08:43 -0800

ignition-sensors6 (6.1.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 17:14:23 -0800

ignition-sensors6 (6.0.1-1~focal) focal; urgency=medium

  * ignition-sensors6 6.0.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 12 Nov 2021 11:17:25 -0700

ignition-sensors6 (6.0.0-1~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0-1 release

 -- Ian Chen <ichen@openrobotics.org>  Thu, 30 Sep 2021 18:22:05 -0700

ignition-sensors6 (6.0.0~pre1-4~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0~pre1-4 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 13:46:12 -0700

ignition-sensors6 (6.0.0~pre1-3~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0~pre1-3 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 12:57:21 -0700

ignition-sensors6 (6.0.0~pre1-2~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 22 Sep 2021 11:46:49 -0700

ignition-sensors6 (6.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-sensors6 6.0.0~pre1-1 release

 -- Michael Carroll <michael@openrobotics.org>  Wed, 22 Sep 2021 11:18:01 -0500

ignition-sensors6 (5.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Thu, 01 Apr 2021 15:27:16 -0700

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/AirPressure*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Altimeter*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/BoundingBoxCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Camera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/DepthCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/GpuLidarSensor*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ForceTorque*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Imu*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Lidar*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/LogicalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Magnetometer*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/NavSat*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/SegmentationCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ThermalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Rendering*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/RgbdCamera*.hh

# tests require GPU and graphics
override_dh_auto_test:
	true
